Bug 461042 - Fedora 9 cannot handle XFX nForce 750a SLI Motherboard's Azalia High Definition Audio Codec (Realtek ALC888 CODEC?) properly
Fedora 9 cannot handle XFX nForce 750a SLI Motherboard's Azalia High Definiti...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 12:10 EDT by Dinh Le
Modified: 2009-07-14 10:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:21:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dinh Le 2008-09-03 12:10:28 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.1) Gecko/2008071615 Fedora/3.0.1-1.fc9 Firefox/3.0.1

Fedora 9 system with the latest updates, since Sep 2, has problems handling XFX nForce 750a SLI Motherboard's Azalia High Definition Audio Codec (Realtek ALC888 CODEC?) properly.  Running 'dmesg' reveals the following:

ALSA sound/pci/hda/hda_intel.c:1810: chipset global capabilities = 0x4401
ALSA sound/pci/hda/hda_intel.c:749: codec_mask = 0x9
hda_codec: Unknown model for ALC883, trying auto-probe from BIOS...
ALSA sound/pci/hda/hda_codec.c:2857: autoconfig: line_outs=4 (0x14/0x15/0x16/0x17/0x0)
ALSA sound/pci/hda/hda_codec.c:2861:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:2865:    hp_outs=1 (0x1b/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:2866:    mono: mono_out=0x0
ALSA sound/pci/hda/hda_codec.c:2874:    inputs: mic=0x18, fmic=0x19, line=0x1a, fline=0x0, cd=0x0, aux=0x0
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Headphone Playback Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Speaker Playback Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Mono Playback Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Line-Out Playback Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Speaker Playback Switch, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Mono Playback Switch, skipped


Reproducible: Always

Steps to Reproduce:
1.Boot up
2.
3.
Actual Results:  
During boot process
Comment 1 Tim Jackson 2008-09-03 12:24:27 EDT
Are you saying that this suddenly broke on Sep 2? Because there have been no Fedora updates recently.
Either way, I don't think this chip uses firmware from alsa-firmware so reassigning to kernel.
Comment 2 Dinh Le 2008-09-03 12:38:17 EDT
(In reply to comment #1)
> Are you saying that this suddenly broke on Sep 2? Because there have been no
> Fedora updates recently.
> Either way, I don't think this chip uses firmware from alsa-firmware so
> reassigning to kernel.

I meant to write that I just installed Fedora 9 and applied the latest updates on Sep 2.  But you're right, this is a kernel related issue.  I am trying to get more information about this sound card from the Nvidia web site (and googling) without much success.  I will boot Windows XP to see what more I can find out from its control panel.
Comment 3 Dinh Le 2008-09-03 13:21:45 EDT
The only information I can get about this audio card from the Windows XP control panel is "Realtek High Definition Audio".  Do let me know what else I can do to obtain more useful data to possibly fix this problem.
Comment 4 Chuck Ebbert 2008-09-08 02:17:24 EDT
Did it work before the updates?
Comment 5 Dinh Le 2008-09-08 13:35:10 EDT
This is a brand new system that I gathered and built from scratch in late August.    Everything works well under Windows XP.  Everything works well under Fedora 9, except for sound.  For your information, the Nvidia graphics driver, I 'yum install' from livna.org, seems to work very well.
Comment 6 Bug Zapper 2009-06-09 22:36:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 10:21:24 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.